| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | List of all members
Digikam::FreeSpaceWidget Class Reference
Inheritance diagram for Digikam::FreeSpaceWidget:

## Public Types
enum | FreeSpaceMode { AlbumLibrary = 0 , UMSCamera , GPhotoCamera }

## Public Member Functions
| FreeSpaceWidget (QWidget *const parent, int width)
void | addInformation (qint64 bytesSize, qint64 bytesUsed, qint64 bytesAvail, const QString &mountPoint)
qint64 | bytesAvail () const
qint64 | bytesAvail (const QString &path) const
qint64 | bytesSize () const
qint64 | bytesUsed () const
qint64 | estimatedDSizeBytes () const
bool | isValid () const
int | percentUsed () const
void | refresh ()
void | setEstimatedDSizeBytes (qint64 dSize)
void | setMode (FreeSpaceMode mode)
void | setPath (const QString &path)
void | setPaths (const QStringList &paths)

## Protected Member Functions
void | enterEvent (QEnterEvent *) override
void | leaveEvent (QEvent *) override
void | paintEvent (QPaintEvent *) override
void | updateToolTip ()